% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/02_QitemFunctions.R
\name{qBiNormal}
\alias{qBiNormal}
\title{bivariate normal CDF}
\usage{
qBiNormal(a, b, rho)
}
\arguments{
\item{a}{Numeric value, the upper limit for the first variable.}

\item{b}{Numeric value, the upper limit for the second variable.}

\item{rho}{Numeric value between -1 and 1, the correlation coefficient.}
}
\value{
The probability P(X <= a, Y <= b), a value between 0 and 1.
}
\description{
Calculates the cumulative distribution function (CDF) of a bivariate normal distribution.
This function computes P(X <= a, Y <= b) where X and Y follow a bivariate normal
distribution with correlation coefficient rho.
}
\details{
The implementation uses numerical integration with Gauss-Legendre quadrature
for accurate computation. Special cases for infinite bounds are handled separately.
}
\keyword{internal}
